Package ru.bitel.oss.kernel.entity.common.bean

# Class EntityAttrHouse

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntityAttr
ru.bitel.oss.kernel.entity.common.bean.EntityAttrHouse

public class EntityAttrHouse extends EntityAttr

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntityAttrHouse()`
  ``
  `EntityAttrHouse(int entityId, int entitySpecAttrId, int houseId, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHouseId()`
  `String`
  `getTitle()`
  `int`
  `getType()`
  Возвращает тип параметра
  `String`
  `getTypeName()`
  Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
  `void`
  `setHouseId(int houseId)`
  `void`
  `setTitle(String title)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntityAttr

  `getEntityId, getEntitySpecAttrId, newInstance, setEntityId, setEntitySpecAttrId, setType, setTypeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttrHouse

    protected EntityAttrHouse()

  - ### EntityAttrHouse

    public EntityAttrHouse(int entityId, int entitySpecAttrId, int houseId, String title)

- ## Method Details

  - ### getType

    public int getType()
    Description copied from class: `EntityAttr`
    Возвращает тип параметра
    Overrides:
      `getType` in class `EntityAttr`
    Returns:
    See Also:
      - `EntitySpecAttr`

  - ### getTypeName

    public String getTypeName()
    Description copied from class: `EntityAttr`
    Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
    Overrides:
      `getTypeName` in class `EntityAttr`
    Returns:

  - ### getHouseId

    public int getHouseId()

  - ### setHouseId

    public void setHouseId(int houseId)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`